gr::gsm::message_printer Class Reference

<+description of block+> More...

`#include <message_printer.h>`

Inheritance diagram for gr::gsm::message_printer:

## Public Types

typedef std::shared_ptr< message_printer > | sptr

## Static Public Member Functions

static sptr | make (pmt::pmt_t prepend_string, bool prepend_fnr=false, bool prepend_frame_count=false, bool print_gsmtap_header=false)
| Return a shared_ptr to a new instance of gsm::message_printer.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<message_printer> gr::gsm::message_printer::sptr

## Member Function Documentation

## make()

sptr gr::gsm::message_printer::make | ( | pmt::pmt_t | prepend_string,
|  | bool | prepend_fnr = false,
|  | bool | prepend_frame_count = false,
|  | bool | print_gsmtap_header = false )

static

Return a shared_ptr to a new instance of gsm::message_printer.

To avoid accidental use of raw pointers, gsm::message_printer's constructor is in a private implementation class. gsm::message_printer::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- message_printer.h